/**
 * Ensures the file exists before reading it
 */
export declare function readFile(path: string, fail?: boolean): string;
/**
 * Ensures the folder exists before writing it
 */
export declare function writeFile(filePath: string, data: string): void;
export declare function resolveAnyFile<T>(path: string): {
    exports: T;
    path: string;
};
/**
 * Upper or camelCase to lowercase hyphenated
 */
export declare function toFileName(s: string): string;
