import { CLIProcess } from './processing/types';
import { RcJson } from '@push-based/user-flow';
export declare function promptParam<T>(cfg: {
    initial?: T;
    skip?: boolean;
    message: string;
    type?: any;
    [key: string]: any;
}): Promise<T>;
export declare function askToSkip(question: string, crawlerProcess: CLIProcess, options?: {
    precondition?: (r?: RcJson) => Promise<boolean>;
}): CLIProcess;
